// $Id: bif_type.def,v 1.4 2002/11/29 05:28:23 vern Exp $

// DEFINE_BIF_TYPE(id, bif_type, bro_type, c_type, accessor)

DEFINE_BIF_TYPE(TYPE_ADDR, "addr", "addr", "addr_type", "->AsAddr()")
DEFINE_BIF_TYPE(TYPE_ANY, "any", "any", "Val*", "")
DEFINE_BIF_TYPE(TYPE_BOOL, "bool", "bool", "int", "->AsBool()")
DEFINE_BIF_TYPE(TYPE_CONN_ID, "conn_id", "conn_id", "Val*", "")
DEFINE_BIF_TYPE(TYPE_CONNECTION, "connection", "connection", "Connection*", "->AsRecordVal()->GetOrigin()")
DEFINE_BIF_TYPE(TYPE_COUNT, "count", "count", "uint32", "->AsCount()")
DEFINE_BIF_TYPE(TYPE_FILE, "file", "file", "BroFile*", "->AsFile()")
DEFINE_BIF_TYPE(TYPE_INT, "int", "int", "int", "->AsInt()")
DEFINE_BIF_TYPE(TYPE_INTERVAL, "interval", "interval", "double", "->AsInterval()")
DEFINE_BIF_TYPE(TYPE_NET, "net", "net", "addr_type", "->AsAddr()")
DEFINE_BIF_TYPE(TYPE_PACKET, "packet", "packet", "TCP_TracePacket*", "->AsRecordVal()->GetOrigin()")
DEFINE_BIF_TYPE(TYPE_PATTERN, "pattern", "pattern", "RE_Matcher*", "->AsPattern()")
DEFINE_BIF_TYPE(TYPE_PORT, "port", "port", "uint32", "->AsPortVal()->Port()")
DEFINE_BIF_TYPE(TYPE_STRING, "string", "string", "BroString*", "->AsString()")
DEFINE_BIF_TYPE(TYPE_SUBNET, "subnet", "subnet", "SubNetVal*", "->AsSubNetVal()")
DEFINE_BIF_TYPE(TYPE_OTHER, "", "", "Val*", "")
